Package ru.bitel.bgbilling.modules.reports.server.bean.filter

# Class BGReportFilter

java.lang.Object
ru.bitel.bgbilling.modules.reports.server.bean.filter.BGReportFilter

public class BGReportFilter extends Object
И для Jasper-отчётов (везде) и для CSV-отчётов (модуль reports).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGReportFilter(Map<String,Object> parameterMap, int userId)`
  Конструктор
  `BGReportFilter(Map<String,String> filter, Preferences setup, int userId)`
  Конструктор
  `BGReportFilter(Map<String,String> filter, Preferences setup, Map<String,Object> parameterMap, net.sf.jasperreports.engine.JRDataset dataset, int userId)`
  Конструктор

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `cacheGet(String key)`
  Возвращает значение из кеша по ключу
  `void`
  `cachePut(String key, Object o)`
  Занесение значения в кеш
  `boolean`
  `getBooleanParam(String name)`
  Получение параметра типа boolean, по ключу
  `Calendar`
  `getCalendarParam(String name)`
  Получение даты по ключу
  `Calendar`
  `getCalendarParam(String name, Calendar defaultValue)`
  `net.sf.jasperreports.engine.JRDataset`
  `getDataset()`
  Возвращает значение dataset - интерфейс, представляющий набор данных, который может использоваться в отчете.
  `Date`
  `getDateParam(String name)`
  Получение даты по ключу
  `ParameterMap`
  `getHashValuesWithPrefix(String prefix)`
  Возвращает Хеш-значения начинающие с определенным преффиксом
  `int`
  `getIntParam(String name)`
  Получение параметра типа int, по ключу
  `int`
  `getIntParam(String name, int def)`
  Получение параметра типа int, по ключу
  `LocalDate`
  `getLocalDateParam(String name)`
  Получение даты по ключу
  `LocalDate`
  `getLocalDateParam(String name, LocalDate defaultValue)`
  `long`
  `getLongParam(String name)`
  Получение параметра типа long, по ключу
  `long`
  `getLongParam(String name, long def)`
  Получение параметра типа int, по ключу
  `Period`
  `getPeriod()`
  `Map<String,Object>`
  `getReportParametersMap()`
  Возвращает reportParametrsMap
  `final String`
  `getStringParam(String name)`
  Получение строкового параметра из мапа filter по ключу.
  `int`
  `getUserId()`
  `void`
  `setCalendarParam(String name, Calendar value)`
  Занесение даты в мап filter
  `void`
  `setStringParam(String name, String value)`
  Занесение строкового параметра в пам filter

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGReportFilter

    public BGReportFilter(Map<String,String> filter, Preferences setup, int userId)
    Конструктор
    Parameters:
      `filter` - - фильтр
      `setup` - - настройки модуля

  - ### BGReportFilter

    public BGReportFilter(Map<String,Object> parameterMap, int userId)
    Конструктор
    Parameters:
      `parameterMap` - - мап параметров, которые могут быть использованы для построения отчета

  - ### BGReportFilter

    public BGReportFilter(Map<String,String> filter, Preferences setup, Map<String,Object> parameterMap, net.sf.jasperreports.engine.JRDataset dataset, int userId)
    Конструктор
    Parameters:
      `filter` - - фильтр
      `setup` - - настройки модуля
      `parameterMap` - - мап параметром, которые могут быть использованы для построения отчета
      `dataset` - - интерфейс, представляющий набор данных, который может использоваться в отчете.

- ## Method Details

  - ### getStringParam

    public final String getStringParam(String name)
    Получение строкового параметра из мапа filter по ключу. Также пытается искать значение по ключу в setup.
    Parameters:
      `name` - - ключ
    Returns:
      String result

  - ### getIntParam

    public int getIntParam(String name)
    Получение параметра типа int, по ключу
    Parameters:
      `name` - - ключ
    Returns:
      int result, если параметр не найден то вернет 0.

  - ### getIntParam

    public int getIntParam(String name, int def)
    Получение параметра типа int, по ключу
    Parameters:
      `name` - - ключ
      `def` - - значение по умолчанию.
    Returns:
      int result, если параметр не найден то вернет значение по умолчанию.

  - ### getLongParam

    public long getLongParam(String name)
    Получение параметра типа long, по ключу
    Parameters:
      `name` - - ключ
    Returns:
      long result, если параметр не найден то вернет значение 0L.

  - ### getBooleanParam

    public boolean getBooleanParam(String name)
    Получение параметра типа boolean, по ключу
    Parameters:
      `name` - - ключ
    Returns:
      boolean result, если параметр не найден то вернет значение false.

  - ### getLongParam

    public long getLongParam(String name, long def)
    Получение параметра типа int, по ключу
    Parameters:
      `name` - - ключ
      `def` - - значение по умолчанию.
    Returns:
      long result, если параметр не найден то вернет значение по умолчанию.

  - ### getCalendarParam

    public Calendar getCalendarParam(String name)
    Получение даты по ключу
    Parameters:
      `name` - - ключ
    Returns:
      Calendar result. Дата представлена в формате dd.MM.yyyy

  - ### getCalendarParam

    public Calendar getCalendarParam(String name, Calendar defaultValue)

  - ### getLocalDateParam

    public LocalDate getLocalDateParam(String name)
    Получение даты по ключу
    Parameters:
      `name` - - ключ
    Returns:
      LocalDate result. Дата представлена в формате dd.MM.yyyy

  - ### getLocalDateParam

    public LocalDate getLocalDateParam(String name, LocalDate defaultValue)

  - ### getDateParam

    public Date getDateParam(String name)
    Получение даты по ключу
    Parameters:
      `name` - - ключ
    Returns:
      Date resulе. Дата представлена в формате dd.MM.yyyy

  - ### getPeriod

    public Period getPeriod()

  - ### setCalendarParam

    public void setCalendarParam(String name, Calendar value)
    Занесение даты в мап filter
    Parameters:
      `name` - - ключ
      `value` - - значение

  - ### setStringParam

    public void setStringParam(String name, String value)
    Занесение строкового параметра в пам filter
    Parameters:
      `name` - - ключ
      `value` - - значение

  - ### getReportParametersMap

    public Map<String,Object> getReportParametersMap()
    Возвращает reportParametrsMap
    Returns:
      Map parameterMap

  - ### getHashValuesWithPrefix

    public ParameterMap getHashValuesWithPrefix(String prefix)
    Возвращает Хеш-значения начинающие с определенным преффиксом
    Parameters:
      `prefix` - - преффкс по которому следует искать параметры.
    Returns:
      Возвращает ParameterMap с найденными параметрами

  - ### cachePut

    public void cachePut(String key, Object o)
    Занесение значения в кеш
    Parameters:
      `key` - - ключ
      `o` - - значение

  - ### cacheGet

    public Object cacheGet(String key)
    Возвращает значение из кеша по ключу
    Parameters:
      `key` - - ключ
    Returns:
      SoftReference ref, если значения нет то null

  - ### getDataset

    public net.sf.jasperreports.engine.JRDataset getDataset()
    Возвращает значение dataset - интерфейс, представляющий набор данных, который может использоваться в отчете.
    Returns:
      JRDataset dataset.

  - ### getUserId

    public int getUserId()